#ifndef common_h
#define common_h

#include <stdarg.h>

#ifdef  DEBUG
#define DBGP_ENABLE 1
#else
#define DBGP_ENABLE 0
#endif /* DEBUG */

#define FUNCTION
#define LOCAL_FUNC static
#define dbg __FILE__,__LINE__,__FUNCTION__

#define OK     0
#define CANCEL (-1)


#define ASSERT(a) do{ if(!(a)) _assert(dbg); }while(0)
#define is_str(s) ( (s) && (*(s)) )
#define del_CRLF(s) do{ }while( ( (NULL != strchr(s,'\r')) && (*(strchr(s,'\r')) = '\0')) || \
                                ( (NULL != strchr(s,'\n')) && (*(strchr(s,'\n')) = '\0')) )


FUNCTION int _assert( const char *file, const int line, const char *func );
FUNCTION int nocase_strcmp( const char *s1, const char *s2 );
FUNCTION int nocase_strncmp( const char *s1, const char *s2, const int n );
FUNCTION char *strtoupper( char *cp );
FUNCTION char *strtolower( char *cp );
FUNCTION void dbgp(char * const file, const int line, char * const func, const char* fmt, ...);

#endif /* common_h */
/* end of file */
